<?php
/*
Plugin Name: DN WP-Foldersize
Plugin URI: http://www.digital-noises.com/blog/en/dn-wp-foldersize
Description: This plugin shows the size of the wordpress installation folder. Known issue are problems with php4 and security deactivations.
Author: Florian Schommertz
Version: 1.2
Author URI: http://www.digital-noises.com/
  Copyright 2011  Florian Schommertz

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


function dn_givefoldersize($whatfolder, $whatname) {
    chdir('../'.$whatfolder.'/');
    $dir=getcwd(); 
    exec('du -s '.$dir, $o);
    $r = split(" ", $o[0]);
    $r = round(($r[0] / 2048),2);
    $r = $r.' MB';
    return $whatname . $r . "<br />\n";

}

function usedspace() {
	echo "<div class=\"wrap\">";
	echo "<h2>DN WP-Foldersize</h2>"."\n";
	
	echo "<h3>Used Space: </h3>";
    echo dn_givefoldersize("wp-admin" , "WP-Admin Folder: ");
    echo "<br />";
    echo dn_givefoldersize("wp-content" , "WP-Content Total: ");
    echo dn_givefoldersize("wp-content/themes" , "WP-Content/Themes Folder: ");
    echo dn_givefoldersize("../wp-content/plugins" , "WP-Content/Plugins Folder: ");
    echo dn_givefoldersize("../wp-content/uploads" , "WP-Content/Uploads Folder: ");
    echo "<br />";
    echo dn_givefoldersize("../" , "WP-Folder Total: ");
    echo "<h3>Output Done</h3>";
    echo "</div>";
}

function dn_wp_foldersize() {
//	add_menu_page('Usedspace', 'Foldersize', 'manage_options', 'dn_givefoldersize', 'usedspace' ,'1', '1'  ); 
	add_submenu_page('tools.php', 'Foldersize', 'Foldersize', 10,  'foldersize', 'usedspace' ); 
}

add_action('admin_menu', 'dn_wp_foldersize');


?>